org.python.core

## Class PySystemStateRef

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.WeakReference<PySystemState>
    - - org.python.core.PySystemStateRef

    public class PySystemStateRef
    extends java.lang.ref.WeakReference<PySystemState>

A weak reference that allows to keep track of PySystemState within Jython core runtime without leaking: as soon as it gets garbage collected, we can clear the places where we have associated data stored.

### Constructor Summary

Constructors
Constructor and Description
`PySystemStateRef(PySystemState referent, ThreadState threadState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ThreadState` `getThreadState()`

### Methods inherited from class java.lang.ref.Reference

`clear, enqueue, get, isEnqueued`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PySystemStateRef

    public PySystemStateRef(PySystemState referent,
                            ThreadState threadState)

### Method Detail

#### getThreadState

    public ThreadState getThreadState()